com.dlsc.flexgantt.swing.util

## Class MultiGanttChartSynchController

- java.lang.Object
- - com.dlsc.flexgantt.swing.util.MultiGanttChartSynchController

- All Implemented Interfaces:
    IDatelineModelListener, EventListener

      public class MultiGanttChartSynchController
      extends Object
      implements IDatelineModelListener

  A utility class used to synchronize several Gantt charts so that when the user scrolls in one chart then the other charts will scroll to the same location.
  Since:
    2.1
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiGanttChartSynchController(GanttChart... ganttCharts)` Constructs a new controller.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `datelineModelChanged(DatelineModelEvent evt)` The listener's callback method that gets invoked when the model's time span or time zone changes.
    `void` | `datelineModelWillChange(DatelineModelEvent evt)` The listener's callback method that gets invoked when the model's time span or time zone will change.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiGanttChartSynchController

          public MultiGanttChartSynchController(GanttChart... ganttCharts)

      Constructs a new controller.
      Parameters:
        `ganttCharts` - the synched Gantt charts
      Since:
        2.1

  - ### Method Detail

    - #### datelineModelWillChange

          public void datelineModelWillChange(DatelineModelEvent evt)
                                       throws DatelineModelVetoException

      Description copied from interface: `IDatelineModelListener`
      The listener's callback method that gets invoked when the model's time span or time zone will change.
      Specified by:
        `datelineModelWillChange` in interface `IDatelineModelListener`
      Parameters:
        `evt` - the event that occured on the dateline
      Throws:
        `DatelineModelVetoException` - if the listener does not want the change to happen

    - #### datelineModelChanged

          public void datelineModelChanged(DatelineModelEvent evt)

      Description copied from interface: `IDatelineModelListener`
      The listener's callback method that gets invoked when the model's time span or time zone changes.
      Specified by:
        `datelineModelChanged` in interface `IDatelineModelListener`
      Parameters:
        `evt` - the event that occured on the dateline

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.